<!-- extends表明此页面继承自 base.html 文件 -->
{% extends "base.html" %}
{% load staticfiles %}

<!-- 写入 base.html 中定义的 title -->
{% block title %}
    搜索
{% endblock title %}

<!-- 写入 base.html 中定义的 content -->
{% block content %}
    <!-- 新增，对应类型搜索栏 -->
    <div class="container">
        <div class="d-flex justify-content-center mt-4">
            <form class="form-inline" >
                <!-- type对应的是用户在之前的搜索栏选择的类型（问题，文章，回答）-->
                <label for="search" class="mr-4">搜索{{type}}</label>
                <input type="text"
                    class="form-control mb-2 mr-sm-2"
                    id="search"
                    name="search"
                    placeholder="搜索..."
                    required
                >
            </form>
        </div>
    </div>

    <!-- 新增，搜索提示语 -->
    {% if search %}
        {% if articles %}
            <h4><span style="color: cadetblue">"{{ search }}"</span>的搜索结果如下：</h4>
            <hr>
        {% else %}
            <h4>暂无<span style="color: cadetblue">"{{ search }}"</span>有关的{{type}}。</h4>
            <hr>
        {% endif %}
    {% endif %}

    <div class="container">
        <div class="row mt-2">

            {% for article in articles %}
            <!-- 文章内容 -->
            <div class="col-4 mb-4">
                <!-- 卡片容器 -->
                <div class="card h-100">
                    <!-- 标题 -->
                    <h4 class="card-header">{{ article.title }}</h4>
                    <!-- 摘要 -->
                    <div class="card-body">
                        <p class="card-text">{{ article.body|slice:'100' }}...</p>
                    </div>
                    <!-- 注脚 -->
                    <div class="card-footer">
                        <a href="#" class="btn btn-primary">阅读本文</a>
                    </div>
                </div>
            </div>
        {% endfor %}

        </div>
    </div>
{% endblock content %}